> For the complete documentation index, see [llms.txt](https://docs.orbiter.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orbiter.finance/developer/rest-api/execution-steps.md).

# Execution steps

{% stepper %}
{% step %}

### Contact us to get API Key

In most cases, we recommend that you contact us to obtain your API key before going online. You do not need an API key during the integration phase.
{% endstep %}

{% step %}

### Fetching Steps

Call the [Get Quote](https://docs.orbiter.finance/developer/rest-api/api-reference#post-quote) API to start your execution.
{% endstep %}

{% step %}

### Follow the steps in sequence

Iterate over the steps and the items in them and take necessary actions. Steps that do not contain any items or whose array of items is empty should be skipped
{% endstep %}

{% step %}

### Check transaction status

After signing or submitting a step, you should [check the execution progress](https://docs.orbiter.finance/developer/rest-api/api-reference#get-transaction-status-hash)
{% endstep %}

{% step %}

### Success

Once all the steps are complete you can consider the action complete and notify the user.
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.orbiter.finance/developer/rest-api/execution-steps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
